Subject: Re: [net-next PATCH] net: RFC3069, private VLAN proxy arp support

From: Mark Smith <[email-masked]>
Date: Thu, 7 Jan 2010 01:05:24 +1030

On Wed, 06 Jan 2010 15:17:22 +0100
Jesper Dangaard Brouer <[email-masked]> wrote:

> On Wed, 2010-01-06 at 23:22 +1030, Mark Smith wrote:
> > On Wed, 06 Jan 2010 10:49:29 +0100
> > Jesper Dangaard Brouer <[email-masked]> wrote:
> > > 
> > > This patch solved the issue by doing proxy arp'ing on the router against
> > > the "local" network, thus making it possible for customers to
> > > communicate, but via the router.  This also gives the ability to do
> > > firewalling on the router between customers on an Ethernet. (In our
> > > solution the Linux router also have a personal firewall configurable per
> > > customer.)
> > > 
> > 
> > I can see value in that - you're forcing all traffic through the
> > upstream router for policy enforcement purposes, without having to have
> > point-to-point (simulated or otherwise) links between customers and the
> > router, and avoiding IP address waste by not using /30s. You're pretty
> > much making the ethernet a Non-broadcast Multi-Access link.
> 
> Yes, its actually a quite nice trick, and several switch vendors have
> supported this technology for years (although they all annoying call it
> something differently).  And we/ComX have actually also been using this
> for years, including my patch (sorry for being so slow with upstream
> submission).
> 

Do you have any issues with router redundance e.g. VRRP? I can't really
think of any, as long as the proxy-arp responses are using the VRRP
virtual router address, rather than the actual NIC's address, and the
routers can see each other via the switch.

> -- 
> Med venlig hilsen / Best regards
>   Jesper Brouer
>   ComX Networks A/S
>   Linux Network Kernel Developer
>   Cand. Scient Datalog / MSc.CS
>   Author of http://adsl-optimizer.dk
>   LinkedIn: http://www.linkedin.com/in/brouer
> 
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html